import { type Options as eslintOptions } from "eslint-webpack-plugin";
import { type Options as stylelintOptions } from "stylelint-webpack-plugin";
export interface IAppConf {
    name: string;
    port: number;
    assetsPathPrefix?: string;
    cdn?: string;
    [conf: string]: unknown;
}
export interface IConfigure {
    debugPort?: number;
    logger?: string;
    eslint?: false | eslintOptions;
    stylelint?: false | stylelintOptions;
    [conf: string]: unknown;
}
export default class ConfigHelper {
    static store: {
        [key: string]: boolean | string | number | RegExp | object | null | undefined;
    };
    private static privateGet;
    static set(node: string, value: any, configPath?: string): void;
    static get(node: string, defaultValue?: any, configPath?: string): unknown;
    static getPackageName(): string | null;
    static getAssetsPathPrefix(): string;
    static getCDN(): string;
    static getPublicPath(): string;
}
