import yargs from "yargs";
import { hideBin } from "yargs/helpers";
const argv = yargs(hideBin(process.argv)).argv;
class Logger {
    suffix = "";
    supportMethods = ["log", "info", "warn", "error"];
    constructor(suffix) {
        if (suffix) {
            this.suffix = "[" + suffix + "]";
        }
    }
    debug(...args) {
        if (argv.debug) {
            console.debug(this.suffix, ...args);
        }
    }
    log(...args) {
        if (argv.verbose || argv.debug) {
            console.log(this.suffix, ...args);
        }
    }
    info(...args) {
        if (argv.verbose) {
            this.log(...args);
        }
    }
    warn(...args) {
        console.warn(this.suffix, ...args);
    }
    error(...args) {
        console.error(this.suffix, ...args);
    }
}
export default (category) => new Logger(category);
