export function checkIsLegalIdentifier(v) {
    return /^[$a-zA-z_][$a-zA-z_0-9]+$/.test(v);
}
const cssModuleRegExp = /[\\/]components?[\\/]|[\\/]pages?[\\/]|\.module\.(?:css|less|s[ac]ss)$/i;
export function getCssModuleMode(resourcePath) {
    if (cssModuleRegExp.test(resourcePath)) {
        return "local";
    }
    return "global";
}
export function shouldSourceModuled(resourcePath) {
    return cssModuleRegExp.test(resourcePath);
}
